/***************************************************************************
 * This program illustrates reverse iterators. You can change the sequential
 * container type by editing the typedef.
 ***************************************************************************/
#include <iostream>
#include <list>
#include<vector>

using std::cin;           
using std::cout;            
using std::endl;            
using std::list;
using std::vector;

typedef vector<int> seq;
void show_seq(const seq& s);
void show_seq_reverse(const seq& s);

int main()
{

	seq custom;
	int x;
	cout<<"\nPlease enter space-separated integers, and 's' to stop:";
	while(cin>>x)
		custom.push_back(x);//Load 'custom' from the keyboard.
	cout<<"The list 'custom' contains\n";
	show_seq(custom);
	cout<<"\nIn reverse order, \n";
	show_seq_reverse(custom);
	return 0;
	

	
}

void show_seq(const seq& s)
{
	for(seq::const_iterator iter=s.begin(); iter!=s.end();++iter)
		cout<<*iter<<" ";
	
	return;
}

void show_seq_reverse(const seq& s)
{
	for(seq::const_reverse_iterator riter=s.rbegin(); riter!=s.rend(); riter++)
		cout<<*riter<<" ";
	return;
}
